apiVersion: v1
{% if do_ldap %}
kind: Secret
{% else %}
kind: ConfigMap
{% endif %}
metadata:
  name: {{ sonarqube_name }}
  namespace: {{ namespace }}
{% if do_ldap %}
stringData:
{% else %}
data:
{% endif %}
  sonar.properties: |
{% if proxy_host | default(False) %}
    http.nonProxyHosts={% if (no_proxy | default([])) | length > 0 %}{{ no_proxy | join(',') }},{% endif %}.{{ namespace }}.svc.{{ cluster_domain }},.{{ namespace }}.svc,.{{ namespace }},.svc.{{ cluster_domain }},.svc,.{{ cluster_domain }},.local,.{{ root_domain }}
    http.proxyHost={{ proxy_host }}
    http.proxyPort={{ proxy_port | default('3128') }}
    https.proxyHost={{ proxy_host }}
    https.proxyPort={{ proxy_port | default('3128') }}
{% elif squid_address is defined %}
    http.nonProxyHosts={% if (no_proxy | default([])) | length > 0 %}{{ no_proxy | join(',') }},{% endif %}.{{ namespace }}.svc.{{ cluster_domain }},.{{ namespace }}.svc,.{{ namespace }},.svc.{{ cluster_domain }},.svc,.{{ cluster_domain }},.local,.{{ root_domain }}
    http.proxyHost={{ squid_address | urlsplit('hostname') }}
    http.proxyPort={{ squid_address | urlsplit('port') }}
    https.proxyHost={{ squid_address | urlsplit('hostname') }}
    https.proxyPort={{ squid_address | urlsplit('port') }}
{% elif squid_address is defined %}
{% endif %}
{% if do_ldap %}
    ldap.authentication=simple
    ldap.bindDn=cn=sonarqube,ou=services,{{ ldap_secret_data.resources[0].data['directory-root'] | b64decode }}
    ldap.bindPassword={{ ldap_secret_data.resources[0].data['sonarqube-password'] | b64decode }}
    ldap.group.baseDn=ou=groups,{{ ldap_secret_data.resources[0].data['directory-root'] | b64decode }}
    ldap.group.idAttribute=cn
{% if do_fusion %}
    ldap.group.request=(&(objectClass=gosaGroupOfNames)(member={dn}))
{% else %}
    ldap.group.request=(&(objectClass=groupOfNames)(member={dn}))
{% endif %}
{% if ldaps_address | default(False) %}
    ldap.url={{ ldaps_address }}
{% else %}
    ldap.StartTLS=false
    ldap.url={{ ldap_address }}
{% endif %}
    ldap.user.baseDn=ou=users,{{ ldap_secret_data.resources[0].data['directory-root'] | b64decode }}
    ldap.user.emailAttribute=mail
    ldap.user.realNameAttribute=uid
{% if do_fusion %}
    ldap.user.request=(&(objectClass=gosaAccount)(uid={login})(!(pwdAccountLockedTime=*)))
{% else %}
    ldap.user.request=(&(objectClass={{ sonarqube_ldap_user_objectclass }})(uid={login})(!(pwdAccountLockedTime=*)))
{% endif %}
    sonar.security.realm=LDAP
{% endif %}
    sonar.web.javaOpts={{ sonarqube_java_options | join(' ') }}
  wrapper.conf: |
    wrapper.java.command=java
    wrapper.java.additional.1=-Dsonar.wrapped=true
    wrapper.java.additional.2=-Djava.awt.headless=true
    wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperSimpleApp
    wrapper.java.classpath.1=../../lib/jsw/*.jar
    wrapper.java.classpath.2=../../lib/common/*.jar
    wrapper.java.classpath.3=../../lib/*.jar
    wrapper.java.library.path.1=./lib
    wrapper.app.parameter.1=org.sonar.application.App
    wrapper.java.initmemory=8
    wrapper.java.maxmemory=32
    wrapper.console.format=PM
    wrapper.console.loglevel=INFO
    wrapper.logfile=../../logs/sonar.log
    wrapper.logfile.format=M
    wrapper.logfile.loglevel=INFO
    wrapper.syslog.loglevel=NONE
    wrapper.console.title=SonarQube
    wrapper.single_invocation=true
    wrapper.ntservice.name=SonarQube
    wrapper.ntservice.displayname=SonarQube
    wrapper.ntservice.dependency.1=
    wrapper.ntservice.starttype=AUTO_START
    wrapper.ntservice.interactive=false
    wrapper.disable_restarts=TRUE
    wrapper.ping.timeout=0
    wrapper.shutdown.timeout=300
    wrapper.jvm_exit.timeout=300
